Subject: Re: question about samsung/sxgbe/sxgbe_xpcs.c

From: Jεan Sacren <[email-masked]>
Date: Wed, 20 Jan 2016 22:10:56 -0700

From: David Miller <[email-masked]>
Date: Tue, 19 Jan 2016 14:36:28 -0500
>
> From: Julia Lawall <[email-masked]>
> Date: Tue, 19 Jan 2016 19:54:20 +0100 (CET)

[...]

> > I just wondered.  I was looking at dependencies between networking files.
> > This one stands out because nothing is dependenton it, even the files it
> > is compiled with, and it doesn't contain the usual functions,
> > register_netdev, etc.
> 
> Even with that explanation, this is a bogus situation.
> 
> There are no in-tree callers of this code.  It should be removed until there
> are in-tree users.
> 
> Nobody can figure out if the interface for this is done properly without seeing
> the call sites and how they work.  It is therefore impossible to review this
> code and judge it's design.
> 
> If someone doesn't send me a removal patch, I will remove this code myself.

I have the patch ready.

Do you want me to submit it now during the merge window or wait till
net-next opens up again?